edu.wpi.first.networktables

## Class LogMessage

- java.lang.Object
- - edu.wpi.first.networktables.LogMessage

-     public final class LogMessage
      extends java.lang.Object

  NetworkTables log message.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `filename` The filename of the source file that generated the message.
    `static int` | `kCritical` Logging levels.
    `static int` | `kDebug`
    `static int` | `kDebug1`
    `static int` | `kDebug2`
    `static int` | `kDebug3`
    `static int` | `kDebug4`
    `static int` | `kError`
    `static int` | `kInfo`
    `static int` | `kWarning`
    `int` | `level` Log level of the message.
    `int` | `line` The line number in the source file that generated the message.
    `int` | `logger` The logger that generated the message.
    `java.lang.String` | `message` The message.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogMessage(NetworkTableInstance inst, int logger, int level, java.lang.String filename, int line, java.lang.String message)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kCritical

          public static final int kCritical

      Logging levels.
      See Also:
        Constant Field Values

    - #### kError

          public static final int kError

      See Also:
        Constant Field Values

    - #### kWarning

          public static final int kWarning

      See Also:
        Constant Field Values

    - #### kInfo

          public static final int kInfo

      See Also:
        Constant Field Values

    - #### kDebug

          public static final int kDebug

      See Also:
        Constant Field Values

    - #### kDebug1

          public static final int kDebug1

      See Also:
        Constant Field Values

    - #### kDebug2

          public static final int kDebug2

      See Also:
        Constant Field Values

    - #### kDebug3

          public static final int kDebug3

      See Also:
        Constant Field Values

    - #### kDebug4

          public static final int kDebug4

      See Also:
        Constant Field Values

    - #### logger

          public final int logger

      The logger that generated the message.

    - #### level

          public final int level

      Log level of the message.

    - #### filename

          public final java.lang.String filename

      The filename of the source file that generated the message.

    - #### line

          public final int line

      The line number in the source file that generated the message.

    - #### message

          public final java.lang.String message

      The message.

  - ### Constructor Detail

    - #### LogMessage

          public LogMessage(NetworkTableInstance inst,
                            int logger,
                            int level,
                            java.lang.String filename,
                            int line,
                            java.lang.String message)

      Constructor. This should generally only be used internally to NetworkTables.
      Parameters:
        `inst` - Instance
        `logger` - Logger
        `level` - Log level
        `filename` - Filename
        `line` - Line number
        `message` - Message